<?php

/**
  * Invoice or Bill? class, InvoiceOrBill.php
  * Ask customer - invoice or bill?
  * @category classes
  *
  * @author Krystian Podemski <podemski.krystian@gmail.com>
  * @copyright www.Podemski.info
  * @version 0.3
  *
  */
  
class		InvoiceOrBill extends ObjectModel
{
	public 		$id;
	
	/** @var string message content */
	public 		$invoice_or_bill;
	
	/** @var integer Cart ID (if applicable) */
	public		$id_cart;
	
	/** @var integer Order ID (if applicable) */
	public		$id_order;
		
	
	protected	$fieldsRequired = array('invoice_or_bill');
	protected	$fieldsSize = array('invoice_or_bill' => 25);
	protected	$fieldsValidate = array('invoice_or_bill' => 'isCleanHtml', 'id_cart' => 'isUnsignedId', 'id_order' => 'isUnsignedId');

	protected 	$table = 'invoice_or_bill';
	protected 	$identifier = 'id';

	public function getFields()
	{
		parent::validateFields();
		$fields['invoice_or_bill'] = pSQL($this->invoice_or_bill, true);
		$fields['id_cart'] = intval($this->id_cart);
		$fields['id_order'] = intval($this->id_order);


		return $fields;
	}

	
	/**
	  * Return customer answer from Order ID
	  *
	  * @param integer $id_order Order ID
	  */
	static public function getInvoiceOrBillByCartId($id_cart)
	{
//	 	if (!Validate::isBool(self::$private))
//	 		die(Tools::displayError());

		global $cookie;
		$result = Db::getInstance()->ExecuteS('
			SELECT * FROM `'._DB_PREFIX_.'invoice_or_bill`
			WHERE id_cart = '.intval($id_cart).'
			LIMIT 1
		');
		return $result;
	}
}

?>
