<?php

/**
 * Ask customer - Invoice or Bill?
 *
 * @author Krystian Podemski <podemski.krystian@gmail.com>
 * @copyright www.podemski.info
 * @version 0.3
 *
 */
class Pfv extends Module
{

  private $_html = '';
  private $_postErrors = array();

  function __construct()
  {
    $this->name = 'pfv';
    $this->tab = 'impSolutions.pl';
    $this->version = 0.3;

    parent::__construct();

    $this->page = basename(__FILE__, '.php');
    $this->displayName = $this->l('Invoice or bill of sale?');
    $this->description = $this->l('Ask customer - invoice or bill of sale?');
  }

  function install()
  {

    $db = Db::getInstance();

    $query = '
		INSERT INTO `' . _DB_PREFIX_ . 'hook` (name, title) VALUES ("invoiceOrBill","Invoice Or Bill?")';
    $result = $db->Execute($query);

    $query_second = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'invoice_or_bill` (
                  `id` int(11) NOT NULL AUTO_INCREMENT,
                  `invoice_or_bill` varchar(35) NOT NULL,
                  `id_order` int(11) NOT NULL,
				  `id_cart` int(11) NOT NULL,
                  PRIMARY KEY (`id`)
                ) ENGINE=InnoDB  ENGINE=MyISAM  DEFAULT CHARSET=utf8';
    $result_second = $db->Execute($query_second);

    if(!parent::install() OR !$this->registerHook('invoiceOrBill') OR !$this->registerHook('adminOrder'))
        return false;

    return true;
  }

  function hookInvoiceOrBill($params)
  {
    global $smarty;
    $smarty->assign(array('selected' => Tools::getValue('invoice_or_bill')
    ));
    return $this->display(__FILE__, 'pfv.tpl');
  }

  function hookAdminOrder($params)
  {
    global $smarty, $cart;

    require_once(dirname(__FILE__) . '/../../classes/InvoiceOrBill.php');
    $cart = CartCore::getCartByOrderId(intval($_GET['id_order']));
    $answer = InvoiceOrBill::getInvoiceOrBillByCartId($cart->id);

    if(!empty($answer))
    {
      if(is_array($answer) && count($answer) == 1)
      {
        $answer = $this->l($answer[0]['invoice_or_bill']);
      }
    }
    if($answer == '' OR !$answer OR empty($answer))
    {
      $answer = '' . $this->l('No info') . '';
    }

    $smarty->assign(array(
            'answer' => $answer
    ));
    return $this->display(__FILE__, 'pfv_admin_order.tpl');
  }

}
